# CommandLine.InitializationException (picocli 3.9.6 API)
Date: 2019-04-06

picocli

## Class CommandLine.InitializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException
        - - picocli.CommandLine.InitializationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CommandLine.DuplicateOptionAnnotationsException, CommandLine.ParameterIndexGapException

Enclosing class:
  CommandLine

    public static class CommandLine.InitializationException
    extends CommandLine.PicocliException

Exception indicating a problem during `CommandLine` initialization.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InitializationException(java.lang.String msg)`
`InitializationException(java.lang.String msg, java.lang.Exception ex)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InitializationException

    public InitializationException(java.lang.String msg)

#### InitializationException

    public InitializationException(java.lang.String msg,
                                   java.lang.Exception ex)